import { StateRoot } from '@make.org/types';

export const initDevState = (initialState: StateRoot): StateRoot => ({
  ...initialState,
  appConfig: {
    ...initialState.appConfig,
    source: 'core',
    country: 'FR',
    language: 'fr',
    device: 'DESKTOP',
    countriesWithConsultations: [
      'AT',
      'BE',
      'BG',
      'BR',
      'CA',
      'CH',
      'CN',
      'CY',
      'CZ',
      'DE',
      'DK',
      'EE',
      'ES',
      'FI',
      'FR',
      'GB',
      'GR',
      'HR',
      'HU',
      'IE',
      'IN',
      'IS',
      'IT',
      'JP',
      'LI',
      'LT',
      'LU',
      'LV',
      'MD',
      'MT',
      'NL',
      'NO',
      'PL',
      'PT',
      'RO',
      'RU',
      'SE',
      'SI',
      'SK',
      'US',
      'UA',
    ],
  },
  user: {
    ...initialState.user,
    // Overide make-cookie-preferences for local dev
    trackingConsent: {
      facebook_tracking: false,
      twitter_tracking: false,
      snapchat_tracking: false,
      facebook_sharing: false,
      twitter_sharing: false,
      linkedin_sharing: false,
    },
  },
});
